include:
  - project: gl-demo-ultimate-mgrabowski/zd-526424/variable-precedence
    ref: main
    file:
      - include.yml

variables:
  VAR:
    value: "global YAML value"
    description: "Some variable."

my-job:
    extends: .my-job-template
    variables:
        VAR: "job specific value"
    script:
        - echo "VAR is $VAR"

generate-config:
  stage: test
  script:
    - cp dynamic.yml generated-config.yml
  artifacts:
    paths:
      - generated-config.yml

dynamic-child-pipeline:
  stage: deploy
  trigger:
    forward:
      yaml_variables: false
    include:
      - artifact: generated-config.yml
        job: generate-config